Bug 186194 - JFS root partition install
JFS root partition install
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 23:44 EST by Peter Buelow
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 10:50:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Buelow 2006-03-21 23:44:03 EST
Description of problem: Unable to install to JFS formatted partitions.
Installation is allowed to proceed after partitioning, but actual installation
of files never happens, and ananconda dies with an exception (uncopied, sorry)
within a few seconds of starting to install files.


Version-Release number of selected component (if applicable):


How reproducible: 100%


Steps to Reproduce:
1. Install from DVD to a non RAID harddrive.
2. Create /boot and / as JFS partitions.
3. Begin install process.
  
Actual results: Failure to install any files, and an exception at the end of the
unfinished install process. I tried this 4 times. Sorry, unable to collect
exception dump data.


Expected results: Install should work to completion. Grub supports JFS (and XFS
I think) in this release and as such, it should be possible to create and
install to a JFS formatted partition using anaconda.


Additional info: Not a terribly important issue, but one I've been waiting to
see for some time. Being able to use other filesystems than ext3 at some point
would be very nice. I was able to install and complete the process using ext3
for /boot and /.
Comment 1 Jeremy Katz 2006-03-22 10:50:28 EST
JFS isn't supported which is why you have to pass a command line option to even
have it be available.  We're willing to take patches, but aren't actively doing
work to support JFS

Note You need to log in before you can comment on or make changes to this bug.